<?php
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

function create_modules(&$module_data)
{
   global $modules;

   for ($i = 0, $count = sizeof($module_data);$i < $count; $i++)
   {
      if ($module_data[$i]['module_class'] == 'acp')
      {
         $modules->module_class = 'acp';
      }
      if ($module_data[$i]['module_class'] == 'mcp')
      {
         $modules->module_class = 'mcp';
      }
      if ($module_data[$i]['module_class'] == 'ucp')
      {
         $modules->module_class = 'ucp';
      }
      $errors = $modules->update_module_data($module_data[$i]);
      if (!sizeof($errors))
      {
         $modules->remove_cache_file();
      }
   }
}


function get_module_id($type, $module)
{
   global $db;

   $sql = "SELECT m.module_id
      FROM " . MODULES_TABLE . " m
      WHERE m.module_class = '".$type."'
         AND m.module_langname = '".$module."'";
   $result = $db->sql_query($sql);
   $row = $db->sql_fetchrow($result);

   return $row['module_id'];
}

	  if (!$auth->acl_get('a_'))
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}

$db->sql_return_on_error(true);

$message = '';
$error = false;
$sql_ary = array();
$sql_ary[] = "INSERT INTO `".$table_prefix."config` (`config_name` ,`config_value` ,`is_dynamic` )VALUES ('top_all_show', '1', '0')";
$sql_ary[] = "INSERT INTO `".$table_prefix."config` (`config_name` ,`config_value` ,`is_dynamic` ) VALUES ('top_all_topics', '5', '0');";
$sql_ary[] = "INSERT INTO `".$table_prefix."config` (`config_name` ,`config_value` ,`is_dynamic` ) VALUES ('top_all_users', '5', '0');";
$sql_ary[] = "INSERT INTO `".$table_prefix."config` (`config_name` ,`config_value` ,`is_dynamic` ) VALUES ('top_all_tusers', '5', '0');";

foreach ($sql_ary as $sql)
{
	$message .= '<p style="font-weight: bold;">'.$sql.'</p>';
	$result = $db->sql_query($sql);
	if ($result)
	{
		$message .= '<p style="color: green;">تم تنفيذ الاستعلام بنجاح.</p>';
	}
	else
	{
		$error = true;
		$message .= '<p style="color: red;">حدث خطا ما أثناء تنفيذ الاستعلام.</p>';
	}
	$message .= '<br />';
}
if($result){
//Lets Add Automatically The Modules
      require($phpbb_root_path . 'includes/acp/acp_modules.' . $phpEx);
      $modules = new acp_modules();
      $module_data = $errors = array();
      $module_data[] = array('module_basename' => '', 'module_enabled' => '1', 'module_display' => '1', 'parent_id' => '31', 'module_class' => 'acp', 'module_langname' => 'ACP_TOP_ALL', 'module_mode' => '', 'module_auth' => '' );
      //Create All Required Module Categories & Reset
      create_modules($module_data);
      $module_data = null;
      $module_data = array();
      $ucp_parent = get_module_id('acp', 'ACP_TOP_ALL');

      //Define UCP Modules
      $module_data[] = array('module_basename' => 'top_all', 'module_enabled' => '1', 'module_display' => '1', 'parent_id' => $ucp_parent, 'module_class' => 'acp', 'module_langname' => 'ACP_TOP_ALL', 'module_mode' => '', 'module_auth' => '');

      create_modules($module_data);
	  $message .= '<p style="color: green;">تم تركيب الموديل فى لوحة التحكم بنجاح .</p>';

}else {
	  $message .= '<p style="color: red;">حدث خطا ما أثناء تركيب الموديل قد يكون موجودا بالفعل.</p>';
}
$cache->purge();
add_log('admin', 'LOG_PURGE_CACHE');
$message .= '<p style="color: green;">تم تفريغ الكاش.</p>';

if($error == true)
{
	$message .= '<p>تم تنفيذ كافة الاستعلامات لكن حدثت اخطاء غير معروفة أثناء تنفيذها . رجاء قم بحذف هذا الملف من موقعك لاسباب أمنية.</p>';
}
else
{
	$message .= '<p>تم تنفيذ كافة الاستعلامات بدون مشاكل بفضل الله ،رجاء قم بحذف هذا الملف من موقعك لاسباب أمنية.</p>';
}
trigger_error($message);

	  
?>